This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285930 - [abrt] dolphin: KNotification::flags(): dolphin killed by SIGSEGV
[abrt] dolphin: KNotification::flags(): dolphin killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dolphin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:757cbe0f972d766c84167fbfb51...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 21:13 EST by Enygma
Modified: 2016-12-20 11:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.69 KB, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: core_backtrace (6.14 KB, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: dso_list (23.49 KB, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: environ (1.70 KB, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 21:13 EST, Enygma
no flags Details
File: maps (108.35 KB, text/plain)
2015-11-26 21:14 EST, Enygma
no flags Details
File: mountinfo (3.64 KB, text/plain)
2015-11-26 21:14 EST, Enygma
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 21:14 EST, Enygma
no flags Details
File: open_fds (7.47 KB, text/plain)
2015-11-26 21:14 EST, Enygma
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-26 21:14 EST, Enygma
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-11-26 21:14 EST, Enygma
no flags Details

  None (edit)
Description Enygma 2015-11-26 21:13:44 EST
Description of problem:
If I remember correctly, I had just shift+delete'd a folder and dolphin crashed.

Prior to that, I had changed the single-click to double click selection configuration, but the dolphin window remained opened from before this change and it was still using the old single-click to select way. Not sure if this is relevant, but still...

Version-Release number of selected component:
dolphin-15.08.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/dolphin
crash_function: KNotification::flags
executable:     /usr/bin/dolphin
global_pid:     18541
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 KNotification::flags at ../../src/knotification.cpp:233
 #1 NotifyByAudio::onAudioFinished at ../../src/notifybyaudio.cpp:140
 #2 NotifyByAudio::qt_static_metacall at moc_notifybyaudio.cpp:83
 #3 QMetaObject::activate at kernel/qobject.cpp:3718
 #5 Phonon::MediaObject::finished at /usr/src/debug/phonon-4.8.3/x86_64-redhat-linux-gnu-Qt5/phonon/moc_mediaobject.cpp:426
 #6 Phonon::MediaObject::qt_static_metacall at /usr/src/debug/phonon-4.8.3/x86_64-redhat-linux-gnu-Qt5/phonon/moc_mediaobject.cpp:183
 #7 QObject::event at kernel/qobject.cpp:1246
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3717
 #9 QApplication::notify at kernel/qapplication.cpp:3500
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
Comment 1 Enygma 2015-11-26 21:13:49 EST
Created attachment 1099521 [details]
File: backtrace
Comment 2 Enygma 2015-11-26 21:13:51 EST
Created attachment 1099522 [details]
File: cgroup
Comment 3 Enygma 2015-11-26 21:13:52 EST
Created attachment 1099523 [details]
File: core_backtrace
Comment 4 Enygma 2015-11-26 21:13:53 EST
Created attachment 1099524 [details]
File: dso_list
Comment 5 Enygma 2015-11-26 21:13:55 EST
Created attachment 1099525 [details]
File: environ
Comment 6 Enygma 2015-11-26 21:13:56 EST
Created attachment 1099526 [details]
File: exploitable
Comment 7 Enygma 2015-11-26 21:13:57 EST
Created attachment 1099527 [details]
File: limits
Comment 8 Enygma 2015-11-26 21:14:00 EST
Created attachment 1099528 [details]
File: maps
Comment 9 Enygma 2015-11-26 21:14:01 EST
Created attachment 1099529 [details]
File: mountinfo
Comment 10 Enygma 2015-11-26 21:14:03 EST
Created attachment 1099530 [details]
File: namespaces
Comment 11 Enygma 2015-11-26 21:14:04 EST
Created attachment 1099531 [details]
File: open_fds
Comment 12 Enygma 2015-11-26 21:14:05 EST
Created attachment 1099532 [details]
File: proc_pid_status
Comment 13 Enygma 2015-11-26 21:14:07 EST
Created attachment 1099533 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:46:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:20:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.